## 1.0.5+1

* Updated to Flutter 3.13.1
* Updated the Android Brady SDK to version 1.4.1. which includes:
  * LZ4 compression added to M611 BLE connection (10 second faster connection).
  * Bug fixes to rendering a placeholder value in barcodes.
  * Improper disconnection fix.
* Added support for simulators AND physical iOS devices in iOS.
* Added monochromization for rendering images.

## 1.0.4+2

*README and CHANGELOG corrections.

## 1.0.4+1

* Fixed a build error that happens on Macs with an Intel processor (made before 2021) where the iOS SDK cannot find the embedded 3rd party frameworks.
* Fixed issue where Images are rendered with the wrong size or position.
* Fixed issue where ConnectionType was not accurate in PrinterDetails.
* Updated to use Brady Android SDK 1.3.4 and Brady iOS SDK 1.2.0

## 1.0.3+1

* Added Wifi capabilities to the M611.
* Updated Brady Android SDK used to 1.3.3.
  * This fixed a bug where connection to the M611 via Bluetooth Classic would not work.
* Update Brady iOS SDK.
  * Includes an automatic connection bug fix to Wifi printers.
  * Fixed some unhandled errors when performing printer operations.
* Removed unnecessary API methods (refer to https://sdk.bradyid.com for documentation).
* Added API documentation.
* Added the example app to pub.dev.

## 1.0.2+1

* Implemented automatic connection for iOS.

## 1.0.1+1

* Fixed typos and added some documentation to the README with basic API instructions.

## 1.0.0+1

* This is the first fully-functional version of the Brady SDK Flutter Plugin.
* A user may discover, connect, and print to an M211 only via Bluetooth Low Energy.