#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint brady_flutter_plugin.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'brady_flutter_plugin'
  s.version          = '1.0.5+1'
  s.summary          = 'A new Flutter project.'
  s.description      = <<-DESC
A new Flutter project.
                       DESC
  s.homepage         = 'http://sdk.bradyid.com'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Brady Corporation' => 'zachary_buresh@bradycorp.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.platform = :ios, '15.0'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.0'
  s.preserve_paths = 'BradySdk.xcframework/**/*'
  s.xcconfig = { 'OTHER_LDFLAGS' => '-framework BradySdk' }
  s.vendored_frameworks = 'BradySdk.xcframework'

end
