import 'package:flutter_test/flutter_test.dart';
import 'package:brady_flutter_plugin/brady_flutter_plugin_platform_interface.dart';
import 'package:brady_flutter_plugin/brady_flutter_plugin_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockBradyFlutterPluginPlatform
    with MockPlatformInterfaceMixin
    implements BradyFlutterPluginPlatform {
  @override
  Future<bool?> connectToPrinter(String? printer) {
    // TODO: implement connectToPrinter
    throw UnimplementedError();
  }

  @override
  Future<bool?> cut() {
    // TODO: implement cut
    throw UnimplementedError();
  }

  @override
  Future<bool?> disconnect() {
    // TODO: implement disconnect
    throw UnimplementedError();
  }

  @override
  Future<bool?> feed() {
    // TODO: implement feed
    throw UnimplementedError();
  }

  @override
  Future<String?> getLastConnectedPrinterName() {
    // TODO: implement getLastConnectedPrinterName
    throw UnimplementedError();
  }

  @override
  Future<String?> getPrinterDetails() {
    // TODO: implement getPrinterDetails
    throw UnimplementedError();
  }

  @override
  Future<List<String?>> getPrinters() {
    // TODO: implement getPrinters
    throw UnimplementedError();
  }

  @override
  Future<bool?> print() {
    // TODO: implement print
    throw UnimplementedError();
  }

  @override
  void setPlaceholderValue(String placeholder, String value) {
    // TODO: implement setPlaceholderValue
  }

  @override
  void setTemplate(String dataString) {
    // TODO: implement setTemplate
  }

  @override
  void startPrinterDiscovery() {
    // TODO: implement startPrinterDiscovery
  }

}

void main() {
  final BradyFlutterPluginPlatform initialPlatform = BradyFlutterPluginPlatform.instance;

  test('$MethodChannelBradyFlutterPlugin is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelBradyFlutterPlugin>());
  });
}
